Package tigase.stats

# Class CounterDataArchivizer

java.lang.Object
tigase.stats.CounterDataArchivizer

All Implemented Interfaces:
  `ConfigurationChangedAware`, `Initializable`, `StatisticsArchivizerIfc`

public class CounterDataArchivizer extends Object implements StatisticsArchivizerIfc, ConfigurationChangedAware, Initializable
Created: Mar 25, 2010 8:55:11 PM

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DB_URL_PROP_KEY`
  `static final String`
  `KEY_FIELD_PROP_KEY`
  `static final String`
  `TABLE_NAME_PROP_KEY`
  `static final String`
  `VAL_FIELD_PROP_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CounterDataArchivizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beanConfigurationChanged(Collection<String> changedFields)`
  Method called when configuration was applied to bean.
  `void`
  `execute(StatisticsProvider sp)`
  `long`
  `getFrequency()`
  `void`
  `initData(String key, String value)`
  `void`
  `initialize()`
  Method will be called, when bean will be created, configured and ready to use.
  `void`
  `initRepository(String conn_str, Map<String,String> params)`
  `void`
  `release()`
  `void`
  `updateData(String key, String value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DB_URL_PROP_KEY

    public static final String DB_URL_PROP_KEY
    See Also:
      - Constant Field Values

  - ### KEY_FIELD_PROP_KEY

    public static final String KEY_FIELD_PROP_KEY
    See Also:
      - Constant Field Values

  - ### TABLE_NAME_PROP_KEY

    public static final String TABLE_NAME_PROP_KEY
    See Also:
      - Constant Field Values

  - ### VAL_FIELD_PROP_KEY

    public static final String VAL_FIELD_PROP_KEY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CounterDataArchivizer

    public CounterDataArchivizer()

- ## Method Details

  - ### execute

    public void execute(StatisticsProvider sp)
    Specified by:
      `execute` in interface `StatisticsArchivizerIfc`

  - ### initData

    public void initData(String key, String value)

  - ### initRepository

    public void initRepository(String conn_str, Map<String,String> params) throws SQLException, ClassNotFoundException, InstantiationException, IllegalAccessException, DBInitException
    Throws:
      `SQLException`
      `ClassNotFoundException`
      `InstantiationException`
      `IllegalAccessException`
      `DBInitException`

  - ### release

    public void release()
    Specified by:
      `release` in interface `StatisticsArchivizerIfc`

  - ### updateData

    public void updateData(String key, String value)

  - ### beanConfigurationChanged

    public void beanConfigurationChanged(Collection<String> changedFields)
    Description copied from interface: `ConfigurationChangedAware`
    Method called when configuration was applied to bean.
    Specified by:
      `beanConfigurationChanged` in interface `ConfigurationChangedAware`
    Parameters:
      `changedFields` - collection of field names which were changed

  - ### getFrequency

    public long getFrequency()
    Specified by:
      `getFrequency` in interface `StatisticsArchivizerIfc`

  - ### initialize

    public void initialize()
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`